%if 0%{?mageia} >= 9
%bcond_without systemlua
%else
%bcond_with    systemlua
%endif
%define dist bdk_mga%{distro_release}


Name:			ansel
Version:		0.0.0
Release:		%mkrel 0.1git2025.02.19
Summary:		Open source photography workflow application and RAW developer
Group:			Graphics/Photography
License:		GPLv3+
Url:			https://ansel.photos/en/

BuildRequires:	cmake
BuildRequires:	extra-cmake-modules
BuildRequires:	cmake-rpm-macros
BuildRequires:	appstream
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	gdb
BuildRequires:	git
BuildRequires:	intltool
BuildRequires:	lib64atk1.0-devel
BuildRequires:	pkgconfig(libavif)
BuildRequires:	cairo
BuildRequires:	pkgconfig(colord)
BuildRequires:	pkgconfig(colord-gtk)
BuildRequires:	gdk-pixbuf2.0
BuildRequires:	cups-devel
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	perl-Image-ExifTool
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(GraphicsMagick)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libheif)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(lensfun)
BuildRequires:	gmic-devel
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(libopenjp2)
BuildRequires:	pkgconfig(osmgpsmap-1.0)
BuildRequires:	pkgconfig(pango)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	portmidi
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	pkgconfig(libsoup-2.4)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	libtiff
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(x11)
BuildRequires:	libxml2-utils
BuildRequires:	libxml2-python3
BuildRequires:	ninja
BuildRequires:	po4a
BuildRequires:	perl
BuildRequires:	python3-jsonschema
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(zlib)

%if %{with systemlua}
BuildRequires:	lua-devel
%else
Provides:		bundled(lua) = 5.4.3
%endif

# Cf. https://pagure.io/packaging-committee/issue/550
Provides:		bundled(rawspeed)

# Only supports 64-bit architectures.
ExclusiveArch:	x86_64 aarch64

Requires:		perl-Image-ExifTool

# Some CSS themes suggest to use the the Roboto font family.
Recommends:		roboto-fontface-fonts

%description
Ansel is an open source photography workflow application and
RAW developer. A virtual lighttable and darkroom for photographers.
It manages your digital negatives in a database, lets you view them
through a zoomable lighttable and enables you to develop raw images
and enhance them.

%prep
%setup -T -c %{name}-%{version}
git clone --depth 1 https://github.com/aurelienpierreeng/ansel.git ./
git submodule init
git submodule update
git fetch --prune --unshallow --tags

%build
#Fix files not found
ln -sf README.md doc/README.md
sed -e 's|TRANSLATORS.md||' -i  doc/CMakeLists.txt

export GIT_DISCOVERY_ACROSS_FILESYSTEM=1

%cmake \
  -DBINARY_PACKAGE_BUILD=ON \
  -DDONT_USE_INTERNAL_LUA=%{?with_systemlua:ON}%{!?with_systemlua:OFF} \
  -DCMAKE_BUILD_TYPE=Release \
  -DBUILD_NOISE_TOOLS=OFF \
  -DBUILD_CURVE_TOOLS=OFF \
  -DRAWSPEED_ENABLE_LTO=ON \
  -DTESTBUILD_OPENCL_PROGRAMS=OFF
  #-DPROJECT_VERSION="$(tools/get_git_version_string.sh | sed "s/+/.r/;s/~/./;s/-dirty//")" 
%cmake_build

%install
%cmake_install

# Handle docs in files section.
rm -rf %{buildroot}%{_docdir}

# To find libdarktable.so without rpath.
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d
cat > %{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf << EOF
%{_libdir}/%{name}
EOF

%find_lang %{name} --with-man --all-name

%files -f %{name}.lang
%doc AUTHORS README.md
%license LICENSE
%config %{_sysconfdir}/ld.so.conf.d/%{name}-%{_arch}.conf
%{_bindir}/*
%{_datadir}/applications/photos.ansel.app.desktop
%{_datadir}/metainfo/photos.ansel.app.appdata.xml
%{_datadir}/%{name}/*
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_libdir}/*
#%{_libexecdir}/%{name}/*
#%dir %{_libexecdir}/%{name}
#%dir %{_libexecdir}/%{name}/tools
%{_mandir}/man1/%{name}*.1.*

